import React, { useState, useEffect } from 'react'
import { Link } from 'react-router-dom'

const SearchOrder = (props: any) => {
    const orders = props.orders;

    const [searchInput, setSearchInput] = useState("");
    const [searchResult, setSearchResult] = useState([]);

    console.log("ORDERS", orders)

    const handleSearchInput = (event: any) => {
        setSearchInput(event.target.value);
    }

    const resetInputField = () => {
        setSearchInput("");
    }

    useEffect(() => {
    if (orders.length > 0) {
            const res = orders.filter((order: any) => 
                order.orderNumber.includes(searchInput) || order.date.includes(searchInput)
                // console.log(orderNum)
            );
            // debugger
            setSearchResult(res);
        }
    }, [searchInput]);


    return (
        <div>
            <h1>Search</h1>
            <input
                type="text"
                placeholder="Search"
                value={searchInput}
                onChange={handleSearchInput}
            />
            <ul>
                {searchResult.map((item, idx) => {
                    // debugger
                    return (
                        <tr key={idx}>
                            <Link to={"/orders/" + item}>item</Link>
                        </tr>
                    )
                })} 
            </ul>
        </div>
    );
}

export default SearchOrder


