import orderData from './mock-order-data'
import { Order } from 'Order';

export const allOrders = () => new Promise<Order[]>((res, rej) => {
    setTimeout(() => { res(orderData) }, 2000)
});

export const orderById = (id: number) => new Promise<Order>((res, rej) => {
        setTimeout(() => { res(orderData[id]) }, 2000)
})


export default {
    allOrders,
    orderById
}